R_ACCEPT_CONNECTION_ON_DOCK(3)

FUNCTION
r_accept_connection_on_dock - Accept a connection on a dock.

SYNOPSIS
#include <karma_r.h>

int r_accept_connection_on_dock

(int dock, unsigned long *addr, flag *local)

DESCRIPTION
Accept a connection on a dock.

dock
    The dock.

addr
    The address of the host connecting to the dock will be written here.

local
    If the connection is a local connection, then the routine will write the value TRUE here, else it will write the value FALSE.

RETURN VALUE
A connection on success, else -1.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/